import unittest

from utils import run_file


class TestRevert(unittest.TestCase):
    def test_po_revert(self):
        self.revert("PO")

    def test_cs_revert(self):
        self.revert("CO")

    def revert(self, mode):
        self.assertTrue(run_file(["revert.alc", "primitives.alc"],
            ["abc", "defghi", "This is a very simple test case!", "abccba"],
            ["cba", "ihgfed", "!esac tset elpmis yrev a si sihT", "abccba"],
            mode))
